*** ./doc/src/sgml/ref/psql-ref.sgml.orig	Mon Aug 21 19:20:36 2006
--- ./doc/src/sgml/ref/psql-ref.sgml	Mon Aug 21 19:25:04 2006
***************
*** 2041,2046 ****
--- 2041,2055 ----
          <application>psql</application> to maintain a separate history for
          each database.
          </para>
+ 	<para>
+ 	The special file name <filename>none</filename> will prevent
+ 	the use of the history file. That is, putting
+ <programlisting>
+ \set HISTFILE none
+ </programlisting>
+ 	in <filename>~/.psqlrc</filename> will cause
+ 	<application>psql</application> not to use a history file.
+ 	</para>
          <note>
          <para>
          This feature was shamelessly plagiarized from
*** ./src/bin/psql/input.c.orig	Mon Aug 21 19:20:36 2006
--- ./src/bin/psql/input.c	Mon Aug 21 19:25:04 2006
***************
*** 308,315 ****
  		}
  		else
  		{
! 			psql_history = pg_strdup(GetVariable(pset.vars, "HISTFILE"));
! 			expand_tilde(&psql_history);
  		}
  
  		if (psql_history)
--- 308,320 ----
  		}
  		else
  		{
! 			if (strcmp(GetVariable(pset.vars, "HISTFILE"), "none") == 0) {
! 				/* user doesnt want a HISTFILE */
! 				psql_history = NULL;
! 			} else {
! 				psql_history = pg_strdup(GetVariable(pset.vars, "HISTFILE"));
! 				expand_tilde(&psql_history);
! 			}
  		}
  
  		if (psql_history)